# addArtifact

abstract fun addArtifact(artifact: DependencyArtifact): ModuleDependency

Adds an artifact to this dependency.

If no artifact is added to a dependency, an implicit default artifact is used. This default artifact has the same name as the module and its type and extension is `jar`. If at least one artifact is explicitly added, the implicit default artifact won't be used any longer.

#### Return

this